# Describer

interface Describer

Builder-style object that allows build cache service factories to describe the cache service.

The description is for human consumption. It may be logged and displayed by tooling.

#### Since

4.0

## Functions

config
Link copied to clipboard
abstract fun config(name: String, value: String): BuildCacheServiceFactory.Describer
Sets a configuration param of the cache being used.
type
Link copied to clipboard
abstract fun type(type: String): BuildCacheServiceFactory.Describer
Sets the description of the type of cache being used.